## org.red5.compatibility.flex.messaging.io
Class ArrayCollection<T>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<T>
                  org.red5.compatibility.flex.messaging.io.ArrayCollection<T>

Type Parameters:
  `T` - type of collection

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<T>, Collection<T>, List<T>, RandomAccess, IExternalizable

    public class ArrayCollection<T>

extends ArrayList<T>
implements Collection<T>, IExternalizable

Flex `ArrayCollection` compatibility class.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  Adobe Livedocs (external), Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ArrayCollection()`

Method Summary
`void` `readExternal(IDataInput input)` Load custom object from stream.
`void` `writeExternal(IDataOutput output)` Store custom object to stream.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ArrayCollection

    public ArrayCollection()

Method Detail

### readExternal

    public void readExternal(IDataInput input)

  Load custom object from stream.

  Specified by:
    `readExternal` in interface `IExternalizable`
  Parameters:
    `input` - object to be used for data loading

### writeExternal

    public void writeExternal(IDataOutput output)

  Store custom object to stream.

  Specified by:
    `writeExternal` in interface `IExternalizable`
  Parameters:
    `output` - object to be used for data storing

Copyright © 2006-2010 The Red5 Project